html{
    display: block !important;
    min-height: 100dvh;
    width: 100dvw;
    user-select: none;
    overflow: hidden;
    font-family: 'Segoe UI';
}
body{
    top: 0px;
    position: relative;
    min-height: 100dvh;
    width: 100dvw;
    margin: 0;
    background: linear-gradient(#E0F0FF,#B0D0FF);
    padding-bottom: 40px;
}
nav{
    position: fixed;
    top:0;
    left: 0;
    z-index: 5;
    height: 60px;
    width: 100dvw;
    background-color: #F0F0F055;
    box-shadow: 5px 0 5px 5px #00000022;
    animation: showNav 1.5s forwards;
    gap:0;
    display: flex;
}
@keyframes showNav {
    from{
        top:-60px;
    }to{
        top:0;
    }
}
.item{
    height: 100%;
    width:fit-content;
    display: inline-flex;
    opacity: 0;
    animation: showNavItems 1s forwards;
    animation-delay: 2s;
}
@keyframes showNavItems {
    from{
        opacity: 0;
    }to{
        opacity: 1;
    }
}
.item.main{
    color:white;
    background-color: dodgerblue;
    font-weight: 600;
}
a.btn{
    height:100%;
    width: 100%;
    padding: 0 30px;
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    color:inherit;
    border-right: 1px #CCC solid;
}
.selected{
    background-color: #B0D0FF;
    animation: select 2s forwards;
    box-shadow: 0 0px 0px #00000022;
    opacity: 1 !important;
}
#app{
    height: fit-content;
    width: 100dvw;
}
#top{
    height: fit-content;
    padding: 80px 0 20px 0;
    max-width: 100dvw;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
#innerTop{
    height:240px;
    width: 900px;
    padding: 0 50px;
    display: flex;
    align-items: center;
    line-height: 1.5;
    font-size: 80px;
    font-weight: 900;
    -webkit-text-stroke: 2px dodgerblue;
    text-shadow: 20px 20px 8px #00000022;
    color: #B0D0FF88;
    filter: blur(5px);
    opacity: 0;
    animation: showInner 2s forwards;
    justify-content: center;
}
@keyframes showInner {
    from{
        filter: blur(5px);
        opacity: 0;
    }to{
        filter: blur(0);
        opacity: 1;
    }
}
#imgFrame{
    display: inline-block;
    width: 240px;
    height: 240px;
    margin-left: 50px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 20px 20px 8px #00000022;
}
img{
    width: 100%;
    height: 100%;
}
.article{
    font-family: 'Consolas';
    position: relative;
    z-index: 3;
    width: calc(95% - 80px);
    min-height: 20px;
    padding: 20px 40px;
    height: fit-content;
    justify-self: center;
    background-color: #FFFFFF;
    box-shadow: 20px 20px 8px #00000022;
    animation: showArticle 3s forwards;
    height: 2em;
    overflow: hidden;
}
p{
    line-height: 1;
    margin: 1em 0;
}
@keyframes showArticle {
    from{
        top:-200dvh;
        height: 2em;
    }
    60%{
        top:0;
    }
    to{
        top:0;
        height: calc(var(--lines) * 2em + 20px);
    }
}
@keyframes select{
    from{
        padding-top: 0px;
    }20%{
        padding-top: 0px;
        box-shadow: 0 0px 0px #00000022;
    }to{
        padding-top: 30px;
        box-shadow: 0 5px 2.5px #00000022;
    }
}